# Class PasswordValidationCallback

java.lang.Object
jakarta.security.auth.message.callback.PasswordValidationCallback

All Implemented Interfaces:
  `Callback`

public class PasswordValidationCallback extends Object implements Callback
Callback that enables an authentication module to supply a username and password (to a runtime?) and determine if the result of validation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasswordValidationCallback(Subject subject, String username, char[] password)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearPassword()`
  `char[]`
  `getPassword()`
  `boolean`
  `getResult()`
  `Subject`
  `getSubject()`
  `String`
  `getUsername()`
  `void`
  `setResult(boolean result)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PasswordValidationCallback

    public PasswordValidationCallback(Subject subject, String username, char[] password)

- ## Method Details

  - ### getSubject

    public Subject getSubject()

  - ### getUsername

    public String getUsername()

  - ### getPassword

    public char[] getPassword()

  - ### clearPassword

    public void clearPassword()

  - ### setResult

    public void setResult(boolean result)

  - ### getResult

    public boolean getResult()